Page MenuHomePhabricator

[Bug] [TermLookupException] (EntityRetrievingTermLookup.php:134) The entity could not be loaded
Closed, ResolvedPublic

Description

[Exception Wikibase\DataModel\Services\Lookup\TermLookupException] (/srv/mediawiki/php-1.26wmf22/extensions/Wikidata/vendor/wikibase/data-model-services/src/Lookup/EntityRetrievingTermLookup.php:134) The entity could not be loaded

#0 /srv/mediawiki/php-1.26wmf22/extensions/Wikidata/vendor/wikibase/data-model-services/src/Lookup/EntityRetrievingTermLookup.php(117): Wikibase\DataModel\Services\Lookup\EntityRetrievingTermLookup->fetchFingerprint(Wikibase\DataModel\Entity\PropertyId, array)
#1 /srv/mediawiki/php-1.26wmf22/extensions/Wikidata/vendor/wikibase/data-model-services/src/Lookup/EntityRetrievingTermLookup.php(46): Wikibase\DataModel\Services\Lookup\EntityRetrievingTermLookup->getFingerprint(Wikibase\DataModel\Entity\PropertyId, array)
#2 /srv/mediawiki/php-1.26wmf22/extensions/Wikidata/vendor/wikibase/data-model-services/src/Lookup/LanguageLabelDescriptionLookup.php(45): Wikibase\DataModel\Services\Lookup\EntityRetrievingTermLookup->getLabel(Wikibase\DataModel\Entity\PropertyId, string)
#3 /srv/mediawiki/php-1.26wmf22/extensions/Wikidata/vendor/wikibase/data-model-services/src/EntityId/EntityIdLabelFormatter.php(58): Wikibase\DataModel\Services\Lookup\LanguageLabelDescriptionLookup->getLabel(Wikibase\DataModel\Entity\PropertyId)
#4 /srv/mediawiki/php-1.26wmf22/extensions/Wikidata/extensions/Wikibase/lib/includes/formatters/EntityIdHtmlLinkFormatter.php(60): Wikibase\DataModel\Services\EntityId\EntityIdLabelFormatter->lookupEntityLabel(Wikibase\DataModel\Entity\PropertyId)
#5 /srv/mediawiki/php-1.26wmf22/extensions/Wikidata/extensions/Wikibase/repo/includes/Diff/DifferencesSnakVisualizer.php(105): Wikibase\Lib\EntityIdHtmlLinkFormatter->formatEntityId(Wikibase\DataModel\Entity\PropertyId)
#6 /srv/mediawiki/php-1.26wmf22/extensions/Wikidata/extensions/Wikibase/repo/includes/Diff/DifferencesSnakVisualizer.php(122): Wikibase\Repo\Diff\DifferencesSnakVisualizer->formatPropertyId(Wikibase\DataModel\Entity\PropertyId)
#7 /srv/mediawiki/php-1.26wmf22/extensions/Wikidata/extensions/Wikibase/repo/includes/Diff/ClaimDifferenceVisualizer.php(153): Wikibase\Repo\Diff\DifferencesSnakVisualizer->getPropertyHeader(Wikibase\DataModel\Snak\PropertyValueSnak)
#8 /srv/mediawiki/php-1.26wmf22/extensions/Wikidata/extensions/Wikibase/repo/includes/Diff/ClaimDifferenceVisualizer.php(72): Wikibase\Repo\Diff\ClaimDifferenceVisualizer->visualizeMainSnakChange(Diff\DiffOp\DiffOpChange, Wikibase\DataModel\Snak\PropertyValueSnak, Wikibase\DataModel\Snak\PropertyValueSnak)
#9 /srv/mediawiki/php-1.26wmf22/extensions/Wikidata/extensions/Wikibase/repo/includes/Diff/ClaimDifferenceVisualizer.php(132): Wikibase\Repo\Diff\ClaimDifferenceVisualizer->visualizeClaimChange(Wikibase\Repo\Diff\ClaimDifference, Wikibase\DataModel\Statement\Statement)
#10 /srv/mediawiki/php-1.26wmf22/extensions/Wikidata/extensions/Wikibase/repo/includes/Diff/EntityDiffVisualizer.php(204): Wikibase\Repo\Diff\ClaimDifferenceVisualizer->visualizeRemovedClaim(Wikibase\DataModel\Statement\Statement)
#11 /srv/mediawiki/php-1.26wmf22/extensions/Wikidata/extensions/Wikibase/repo/includes/Diff/EntityDiffVisualizer.php(127): Wikibase\Repo\Diff\EntityDiffVisualizer->getClaimDiffHtml(Diff\DiffOp\DiffOpRemove)
#12 /srv/mediawiki/php-1.26wmf22/extensions/Wikidata/extensions/Wikibase/repo/includes/Diff/EntityDiffVisualizer.php(89): Wikibase\Repo\Diff\EntityDiffVisualizer->visualizeEntityDiff(Wikibase\DataModel\Services\Diff\ItemDiff)
#13 /srv/mediawiki/php-1.26wmf22/extensions/Wikidata/extensions/Wikibase/repo/includes/Diff/EntityContentDiffView.php(198): Wikibase\Repo\Diff\EntityDiffVisualizer->visualizeEntityContentDiff(Wikibase\Repo\Content\EntityContentDiff)
#14 /srv/mediawiki/php-1.26wmf22/includes/diff/DifferenceEngine.php(728): Wikibase\Repo\Diff\EntityContentDiffView->generateContentDiffBody(Wikibase\ItemContent, Wikibase\ItemContent)
#15 /srv/mediawiki/php-1.26wmf22/includes/diff/DifferenceEngine.php(662): DifferenceEngine->getDiffBody()
#16 /srv/mediawiki/php-1.26wmf22/includes/diff/DifferenceEngine.php(632): DifferenceEngine->getDiff(string, string, string)
#17 /srv/mediawiki/php-1.26wmf22/includes/diff/DifferenceEngine.php(453): DifferenceEngine->showDiff(string, string, string)
#18 /srv/mediawiki/php-1.26wmf22/includes/page/Article.php(797): DifferenceEngine->showDiffPage(boolean)
#19 /srv/mediawiki/php-1.26wmf22/includes/page/Article.php(508): Article->showDiffPage()
#20 /srv/mediawiki/php-1.26wmf22/extensions/Wikidata/extensions/Wikibase/repo/includes/actions/ViewEntityAction.php(72): Article->view()
#21 /srv/mediawiki/php-1.26wmf22/extensions/Wikidata/extensions/Wikibase/repo/includes/actions/ViewEntityAction.php(38): Wikibase\ViewEntityAction->showEntityPage()
#22 /srv/mediawiki/php-1.26wmf22/includes/MediaWiki.php(458): Wikibase\ViewEntityAction->show()
#23 /srv/mediawiki/php-1.26wmf22/includes/MediaWiki.php(255): MediaWiki->performAction(Article, Title)
#24 /srv/mediawiki/php-1.26wmf22/includes/MediaWiki.php(682): MediaWiki->performRequest()
#25 /srv/mediawiki/php-1.26wmf22/includes/MediaWiki.php(476): MediaWiki->main()
#26 /srv/mediawiki/php-1.26wmf22/index.php(41): MediaWiki->run()
#27 /srv/mediawiki/w/index.php(3): include(string)

Event Timeline

aude created this task.Sep 9 2015, 8:30 PM
aude raised the priority of this task from to Needs Triage.
aude updated the task description. (Show Details)
aude added a subscriber: aude.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptSep 9 2015, 8:30 PM
aude added a comment.Sep 9 2015, 8:33 PM

think related to:

/w/index.php?title=Q123603&diff=192731313&oldid=53185603   Wikibase\DataModel\Services\Lookup\LabelDescriptionLookupException from line 47 of /srv/mediawiki/php-1.26wmf22/extensions/Wikidata/vendor/wikibase/data-model-services/src/Lookup/LanguageLabelDescriptionLookup.php: Failed to lookup label {"exception_id":"d27b1602"} 
[Exception Wikibase\DataModel\Services\Lookup\LabelDescriptionLookupException] (/srv/mediawiki/php-1.26wmf22/extensions/Wikidata/vendor/wikibase/data-model-services/src/Lookup/LanguageLabelDescriptionLookup.php:47) Failed to lookup label
  #0 /srv/mediawiki/php-1.26wmf22/extensions/Wikidata/vendor/wikibase/data-model-services/src/EntityId/EntityIdLabelFormatter.php(58): Wikibase\DataModel\Services\Lookup\LanguageLabelDescriptionLookup->getLabel(Wikibase\DataModel\Entity\PropertyId)
  #1 /srv/mediawiki/php-1.26wmf22/extensions/Wikidata/extensions/Wikibase/lib/includes/formatters/EntityIdHtmlLinkFormatter.php(60): Wikibase\DataModel\Services\EntityId\EntityIdLabelFormatter->lookupEntityLabel(Wikibase\DataModel\Entity\PropertyId)
  #2 /srv/mediawiki/php-1.26wmf22/extensions/Wikidata/extensions/Wikibase/repo/includes/Diff/DifferencesSnakVisualizer.php(105): Wikibase\Lib\EntityIdHtmlLinkFormatter->formatEntityId(Wikibase\DataModel\Entity\PropertyId)
  #3 /srv/mediawiki/php-1.26wmf22/extensions/Wikidata/extensions/Wikibase/repo/includes/Diff/DifferencesSnakVisualizer.php(122): Wikibase\Repo\Diff\DifferencesSnakVisualizer->formatPropertyId(Wikibase\DataModel\Entity\PropertyId)
  #4 /srv/mediawiki/php-1.26wmf22/extensions/Wikidata/extensions/Wikibase/repo/includes/Diff/ClaimDifferenceVisualizer.php(153): Wikibase\Repo\Diff\DifferencesSnakVisualizer->getPropertyHeader(Wikibase\DataModel\Snak\PropertyValueSnak)
  #5 /srv/mediawiki/php-1.26wmf22/extensions/Wikidata/extensions/Wikibase/repo/includes/Diff/ClaimDifferenceVisualizer.php(72): Wikibase\Repo\Diff\ClaimDifferenceVisualizer->visualizeMainSnakChange(Diff\DiffOp\DiffOpChange, Wikibase\DataModel\Snak\PropertyValueSnak, Wikibase\DataModel\Snak\PropertyValueSnak)
  #6 /srv/mediawiki/php-1.26wmf22/extensions/Wikidata/extensions/Wikibase/repo/includes/Diff/ClaimDifferenceVisualizer.php(132): Wikibase\Repo\Diff\ClaimDifferenceVisualizer->visualizeClaimChange(Wikibase\Repo\Diff\ClaimDifference, Wikibase\DataModel\Statement\Statement)
  #7 /srv/mediawiki/php-1.26wmf22/extensions/Wikidata/extensions/Wikibase/repo/includes/Diff/EntityDiffVisualizer.php(204): Wikibase\Repo\Diff\ClaimDifferenceVisualizer->visualizeRemovedClaim(Wikibase\DataModel\Statement\Statement)
  #8 /srv/mediawiki/php-1.26wmf22/extensions/Wikidata/extensions/Wikibase/repo/includes/Diff/EntityDiffVisualizer.php(127): Wikibase\Repo\Diff\EntityDiffVisualizer->getClaimDiffHtml(Diff\DiffOp\DiffOpRemove)
  #9 /srv/mediawiki/php-1.26wmf22/extensions/Wikidata/extensions/Wikibase/repo/includes/Diff/EntityDiffVisualizer.php(89): Wikibase\Repo\Diff\EntityDiffVisualizer->visualizeEntityDiff(Wikibase\DataModel\Services\Diff\ItemDiff)
  #10 /srv/mediawiki/php-1.26wmf22/extensions/Wikidata/extensions/Wikibase/repo/includes/Diff/EntityContentDiffView.php(198): Wikibase\Repo\Diff\EntityDiffVisualizer->visualizeEntityContentDiff(Wikibase\Repo\Content\EntityContentDiff)
  #11 /srv/mediawiki/php-1.26wmf22/includes/diff/DifferenceEngine.php(728): Wikibase\Repo\Diff\EntityContentDiffView->generateContentDiffBody(Wikibase\ItemContent, Wikibase\ItemContent)
  #12 /srv/mediawiki/php-1.26wmf22/includes/diff/DifferenceEngine.php(662): DifferenceEngine->getDiffBody()
  #13 /srv/mediawiki/php-1.26wmf22/includes/diff/DifferenceEngine.php(632): DifferenceEngine->getDiff(string, string, string)
  #14 /srv/mediawiki/php-1.26wmf22/includes/diff/DifferenceEngine.php(453): DifferenceEngine->showDiff(string, string, string)
  #15 /srv/mediawiki/php-1.26wmf22/includes/page/Article.php(797): DifferenceEngine->showDiffPage(boolean)
  #16 /srv/mediawiki/php-1.26wmf22/includes/page/Article.php(508): Article->showDiffPage()
  #17 /srv/mediawiki/php-1.26wmf22/extensions/Wikidata/extensions/Wikibase/repo/includes/actions/ViewEntityAction.php(72): Article->view()
  #18 /srv/mediawiki/php-1.26wmf22/extensions/Wikidata/extensions/Wikibase/repo/includes/actions/ViewEntityAction.php(38): Wikibase\ViewEntityAction->showEntityPage()
  #19 /srv/mediawiki/php-1.26wmf22/includes/MediaWiki.php(458): Wikibase\ViewEntityAction->show()
  #20 /srv/mediawiki/php-1.26wmf22/includes/MediaWiki.php(255): MediaWiki->performAction(Article, Title)
  #21 /srv/mediawiki/php-1.26wmf22/includes/MediaWiki.php(682): MediaWiki->performRequest()
  #22 /srv/mediawiki/php-1.26wmf22/includes/MediaWiki.php(476): MediaWiki->main()
  #23 /srv/mediawiki/php-1.26wmf22/index.php(41): MediaWiki->run()
  #24 /srv/mediawiki/w/index.php(3): include(string)
aude renamed this task from TermLookupException] (EntityRetrievingTermLookup.php:134) The entity could not be loaded to [Bug] [TermLookupException] (EntityRetrievingTermLookup.php:134) The entity could not be loaded.Sep 10 2015, 10:21 AM
aude set Security to None.
aude triaged this task as High priority.Sep 10 2015, 10:38 AM

So this is due to a now uncaught exception in EntityIdLabelFormatter::formatEntityId
Specifically lookupEntityLabel

Will need a minor release of DMServices

Change 237356 had a related patch set uploaded (by Addshore):
Require DataModelServices 2.0.1

https://gerrit.wikimedia.org/r/237356

Change 237357 had a related patch set uploaded (by Aude):
Always throw TermLookupException in EntityInfoTermLookup

https://gerrit.wikimedia.org/r/237357

Change 237364 had a related patch set uploaded (by Addshore):
Require DataModelServices 2.0.1

https://gerrit.wikimedia.org/r/237364

Change 237396 had a related patch set uploaded (by Aude):
Always throw TermLookupException in EntityInfoTermLookup

https://gerrit.wikimedia.org/r/237396

Change 237357 merged by jenkins-bot:
Always throw TermLookupException in EntityInfoTermLookup

https://gerrit.wikimedia.org/r/237357

Change 237396 merged by jenkins-bot:
Always throw TermLookupException in EntityInfoTermLookup

https://gerrit.wikimedia.org/r/237396

Change 237356 merged by jenkins-bot:
Require DataModelServices 2.0.1

https://gerrit.wikimedia.org/r/237356

Change 237364 merged by jenkins-bot:
Require DataModelServices 2.0.1

https://gerrit.wikimedia.org/r/237364

Change 237449 had a related patch set uploaded (by Aude):
Update Wikidata - Fix uncaught exception on some diff pages

https://gerrit.wikimedia.org/r/237449

Change 237449 merged by jenkins-bot:
Update Wikidata - Fix uncaught exception on some diff pages

https://gerrit.wikimedia.org/r/237449

aude added a comment.Sep 10 2015, 6:59 PM

fixed and deployed!

aude closed this task as Resolved.Sep 10 2015, 6:59 PM
aude removed a project: Patch-For-Review.
aude moved this task from Backlog to Done on the Wikidata-Sprint-2015-09-01 board.